<div class="ml-5 card text-center">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Reporte mensual de usuarios</h5>

                    <div class="row">
                        
                    </div>

                    <div class="row">
                        
                        <div class="col-md-3">
                            <div class="form-group">
                                <input type="file" name="file" id="file" class="input-file" (change)="uploadFile()">
                                <label id="js-labelFile" for="file" class="btn btn-tertiary js-labelFile">
                                  <i class="icon fa fa-check"></i>
                                  <span class="js-fileName">Elige un archivo</span>
                                </label>
                            </div>
                        </div>

                        <div class="col-md-3">
                            <div class="dropdown">
                                <select class="browser-default custom-select"
                                    name="nombre" class="form-control" id="selectMonth">
                                    <option value="value1">Selecciona un mes </option>
                                    <option *ngFor="let month of this.valuesMonths2; index as i" value="{{month.value}}">
                                        {{month.name}}</option>
                                </select>
                            </div>
                        </div>
                        
                        <div class="col-md-3">
                            <div class="dropdown">
                                <select class="browser-default custom-select" #selectShop 
                                    name="shop" class="form-control" id="selectShop">
                                    <option value="0">Selecciona un comercio </option>
                                    <option *ngFor="let shop of this.clients; index as i" value="{{shop['nombre']}}">
                                        {{shop["nombre"]}}</option>
                                </select>
                            </div>
                        </div>

                        <div class="col-md-3">
                            <button (click)="getData()" class="btn btn-primary mr-4 mt-3" >Guardar</button>
                        </div>
                        
                    </div>
                    <span *ngIf="showErrorInputs" style="color: red;">Los campos son oligatorios</span>
                    

                    <div class="container" *ngIf="showErrors">
                        <h5>Los errores que se encontraron en el archivo son:</h5>
                        <div class="row row-section" *ngFor ="let error of this.errors;">
                            <div class="col-md-2">
                                <mat-label class="label-input">Error en el campo: </mat-label>
                                <input class="titleInpunt errorLine" matInput type="text" value="{{error['Campo']}}" disabled>
                            </div>
                            
                            <div class="col-md-2">
                                <mat-label class="label-input">Linea erronea: </mat-label>
                                <input class="titleInpunt errorLine" matInput type="text" value="{{error.ErrorLinea}}" disabled>
                            </div>
                            <div class="col-md-2">
                                <mat-label class="label-input">Valor del error: </mat-label>
                                <input class="titleInpunt errorLine" matInput type="text" value="{{error.Valor}}" disabled>
                            </div>
                            <div class="col-md-5" style="margin-top: -5px;">
                                <mat-label class="label-input">Descripción: </mat-label>
                                <textarea rows="3" cols="57" style="resize: none;" disabled>{{error.Desc}}</textarea>
                                
        
                            </div>
                        </div>
                    </div>

                    
                    <!--
                    <div class="row" style="margin-top: 5%">
                        <button (click)="getData()" class="btn btn-primary mr-4 mt-3" >Guardar</button>
                    </div>-->
        
                </div>
            </div>
        </div>
    </div>
    
</div>